Bug 155662 - [MAINTAINER] audio/libofa: Fix build with non-base gcc, respect CFLAGS
Summary: [MAINTAINER] audio/libofa: Fix build with non-base gcc, respect CFLAGS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-18 16:50 UTC by Jason E. Hale
Modified: 2011-03-25 10:40 UTC (History)
1 user (show)

See Also:


Attachments
2011-03-18-libofa.diff (2.66 KB, patch)
2011-03-18 16:50 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2011-03-18 16:50:09 UTC
audio/libofa:
- Allow build with non-base gcc [1]
- Respect CFLAGS/CXXFLAGS
- Bump PORTREVISION since port was building with -g previously

[1] Patched by avg@

How-To-Repeat: Use attached diff.

Added files:
files/patch-configure
files/patch-examples__example.cpp
files/patch-examples__protocol.cpp
files/patch-lib__signal_op.cpp
Comment 1 Martin Wilke freebsd_committer 2011-03-19 02:06:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2011-03-25 10:35:48 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2011-03-25 10:35:52 UTC
miwi        2011-03-25 10:35:37 UTC

  FreeBSD ports repository

  Modified files:
    audio/libofa         Makefile 
  Added files:
    audio/libofa/files   patch-configure 
                         patch-examples__example.cpp 
                         patch-examples__protocol.cpp 
                         patch-lib__signal_op.cpp 
  Log:
  - Allow build with non-base gcc [1]
  - Respect CFLAGS/CXXFLAGS
  - Bump PORTREVISION since port was building with -g previously
  
  PR:             155662
  Submitted by:   Jason E. Hale <bsdkaffee@gmail.com> (maintainer)
                  [1] avg@
  
  Revision  Changes    Path
  1.18      +2 -3      ports/audio/libofa/Makefile
  1.1       +16 -0     ports/audio/libofa/files/patch-configure (new)
  1.1       +11 -0     ports/audio/libofa/files/patch-examples__example.cpp (new)
  1.1       +10 -0     ports/audio/libofa/files/patch-examples__protocol.cpp (new)
  1.1       +10 -0     ports/audio/libofa/files/patch-lib__signal_op.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"